/**
 */
package de.upb.swt.swtpra2017.swtinterface.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import de.upb.swt.swtpra2017.swtinterface.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see de.upb.swt.swtpra2017.swtinterface.Tsuro_InterfacePackage
 * @generated
 */
public class Tsuro_InterfaceAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static Tsuro_InterfacePackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Tsuro_InterfaceAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = Tsuro_InterfacePackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Tsuro_InterfaceSwitch modelSwitch =
		new Tsuro_InterfaceSwitch() {
			public Object caseTurnNotification(TurnNotification object) {
				return createTurnNotificationAdapter();
			}
			public Object caseKickNotification(KickNotification object) {
				return createKickNotificationAdapter();
			}
			public Object caseGameStateNotification(GameStateNotification object) {
				return createGameStateNotificationAdapter();
			}
			public Object casePosition(Position object) {
				return createPositionAdapter();
			}
			public Object caseTile(Tile object) {
				return createTileAdapter();
			}
			public Object casePlayer(Player object) {
				return createPlayerAdapter();
			}
			public Object caseSetTokenCmd(SetTokenCmd object) {
				return createSetTokenCmdAdapter();
			}
			public Object caseToken(Token object) {
				return createTokenAdapter();
			}
			public Object caseFinishedNotification(FinishedNotification object) {
				return createFinishedNotificationAdapter();
			}
			public Object caseConfiguration(Configuration object) {
				return createConfigurationAdapter();
			}
			public Object caseGame(Game object) {
				return createGameAdapter();
			}
			public Object caseSetTileCmd(SetTileCmd object) {
				return createSetTileCmdAdapter();
			}
			public Object caseGameListRequest(GameListRequest object) {
				return createGameListRequestAdapter();
			}
			public Object caseGameListResponse(GameListResponse object) {
				return createGameListResponseAdapter();
			}
			public Object caseGameJoinRequest(GameJoinRequest object) {
				return createGameJoinRequestAdapter();
			}
			public Object caseGameStartNotification(GameStartNotification object) {
				return createGameStartNotificationAdapter();
			}
			public Object caseGamePauseNotification(GamePauseNotification object) {
				return createGamePauseNotificationAdapter();
			}
			public Object caseGameContinueNotification(GameContinueNotification object) {
				return createGameContinueNotificationAdapter();
			}
			public Object casePlacement(Placement object) {
				return createPlacementAdapter();
			}
			public Object caseProcessingRequestReply(ProcessingRequestReply object) {
				return createProcessingRequestReplyAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.TurnNotification <em>Turn Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.TurnNotification
	 * @generated
	 */
	public Adapter createTurnNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.KickNotification <em>Kick Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.KickNotification
	 * @generated
	 */
	public Adapter createKickNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GameStateNotification <em>Game State Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GameStateNotification
	 * @generated
	 */
	public Adapter createGameStateNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Position <em>Position</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Position
	 * @generated
	 */
	public Adapter createPositionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Tile <em>Tile</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Tile
	 * @generated
	 */
	public Adapter createTileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Player <em>Player</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Player
	 * @generated
	 */
	public Adapter createPlayerAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.SetTokenCmd <em>Set Token Cmd</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.SetTokenCmd
	 * @generated
	 */
	public Adapter createSetTokenCmdAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Token <em>Token</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Token
	 * @generated
	 */
	public Adapter createTokenAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.FinishedNotification <em>Finished Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.FinishedNotification
	 * @generated
	 */
	public Adapter createFinishedNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Configuration <em>Configuration</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Configuration
	 * @generated
	 */
	public Adapter createConfigurationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Game <em>Game</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Game
	 * @generated
	 */
	public Adapter createGameAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.SetTileCmd <em>Set Tile Cmd</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.SetTileCmd
	 * @generated
	 */
	public Adapter createSetTileCmdAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GameListRequest <em>Game List Request</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GameListRequest
	 * @generated
	 */
	public Adapter createGameListRequestAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GameListResponse <em>Game List Response</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GameListResponse
	 * @generated
	 */
	public Adapter createGameListResponseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GameJoinRequest <em>Game Join Request</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GameJoinRequest
	 * @generated
	 */
	public Adapter createGameJoinRequestAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GameStartNotification <em>Game Start Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GameStartNotification
	 * @generated
	 */
	public Adapter createGameStartNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GamePauseNotification <em>Game Pause Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GamePauseNotification
	 * @generated
	 */
	public Adapter createGamePauseNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.GameContinueNotification <em>Game Continue Notification</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.GameContinueNotification
	 * @generated
	 */
	public Adapter createGameContinueNotificationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.Placement <em>Placement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.Placement
	 * @generated
	 */
	public Adapter createPlacementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.upb.swt.swtpra2017.swtinterface.ProcessingRequestReply <em>Processing Request Reply</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.upb.swt.swtpra2017.swtinterface.ProcessingRequestReply
	 * @generated
	 */
	public Adapter createProcessingRequestReplyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //Tsuro_InterfaceAdapterFactory
